Web lists-archives.com

Re: [Samba] SAMBA 48 - Dependencies Python27 vs python36




On 4/4/19 9:41 AM, Andrew Bartlett wrote:

Timur did submit a lot of patches upstream, so there should be less
needed. The Samba Team strongly encourages those packaging Samba not
to maintain local patches, and if they must do so only after the
patches have been submitted and accepted upstream for master.

This helps reduce the divergence and maintenance overhead in the long-
term.

Of course I agree with you and I'm sure Timur did his best to achieve this.

Currently there are 49 patch files in the 4.8 port.
I really hope most of them is not needed anymore, but that's something someone who wants to compile 4.10 should check, because they might not only address compile-time errors, but also silent problems which will haunt you badly once you run Samba in a production environment.

 bye
	av.

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba